|  | reflex::Pattern::Const Struct Reference updated Sun May 12 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
reflex::Pattern::Const Struct Reference

Common constants. More...

`#include <pattern.h>`

## Static Public Attributes
static const Index | IMAX = 0xFFFFFFFF
| max index, also serves as a marker More...
static const Index | GMAX = 0xFEFFFF
| max goto index More...
static const Accept | AMAX = 0xFDFFFF
| max accept More...
static const Index | LMAX = 0xFAFFFF
| max lookahead index More...
static const Index | LONG = 0xFFFE
| LONG marker for 64 bit opcodes, must be HALT-1. More...
static const Index | HALT = 0xFFFF
| HALT marker for GOTO opcodes, must be 16 bit max. More...
static const Hash | HASH = 0x1000
| size of the predict match array More...

## Detailed Description

Common constants.

## Member Data Documentation

const Accept reflex::Pattern::Const::AMAX = 0xFDFFFF
| static

max accept

const Index reflex::Pattern::Const::GMAX = 0xFEFFFF
| static

max goto index

const Index reflex::Pattern::Const::HALT = 0xFFFF
| static

HALT marker for GOTO opcodes, must be 16 bit max.

const Hash reflex::Pattern::Const::HASH = 0x1000
| static

size of the predict match array

const Index reflex::Pattern::Const::IMAX = 0xFFFFFFFF
| static

max index, also serves as a marker

const Index reflex::Pattern::Const::LMAX = 0xFAFFFF
| static

max lookahead index

const Index reflex::Pattern::Const::LONG = 0xFFFE
| static

LONG marker for 64 bit opcodes, must be HALT-1.

The documentation for this struct was generated from the following file:

- pattern.h